Permalink
Browse files

vcsserver: Avoid that appnope is added on non-darwin platforms

  • Loading branch information...
johbo committed Oct 31, 2017
1 parent 022fe97 commit 6a46a950188679ac8a0f33d9eee5f8c6cb7bbcbd
Showing with 7 additions and 0 deletions.
  1. +7 −0 vcsserver/pkgs/python-packages-overrides.nix
@@ -18,6 +18,13 @@ self: super: {
];
});
ipython = super.ipython.override (attrs: {
propagatedBuildInputs =
if (! pkgs.stdenv.isDarwin)
then pkgs.lib.remove self.appnope attrs.propagatedBuildInputs
else attrs.propagatedBuildInputs;
});
subvertpy = super.subvertpy.override (attrs: {
# TODO: johbo: Remove the "or" once we drop 16.03 support
SVN_PREFIX = "${pkgs.subversion.dev or pkgs.subversion}";

0 comments on commit 6a46a95

Please sign in to comment.